<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sch="http://www.ascc.net/xml/schematron" xmlns:a="http://www.aviation.org" version="1.0" a:dummy-for-xmlns="">
   <xsl:output method="text"/>
   <xsl:template match="*|@*" mode="schematron-get-full-path">
      <xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <xsl:text>/</xsl:text>
      <xsl:if test="count(. | ../@*) = count(../@*)">@</xsl:if>
      <xsl:value-of select="name()"/>
      <xsl:text>[</xsl:text>
      <xsl:value-of select="1+count(preceding-sibling::*[name()=name(current())])"/>
      <xsl:text>]</xsl:text>
   </xsl:template>
   <xsl:template match="/">Schematron validation
<xsl:apply-templates select="/" mode="M2"/>
   </xsl:template>
   <xsl:template match="a:Flight" priority="4000" mode="M2">
      <xsl:choose>
         <xsl:when test="a:Aircraft/a:Elevation &gt; a:Obstacle/a:Height"/>
         <xsl:otherwise>

In pattern a:Aircraft/a:Elevation &gt; a:Obstacle/a:Height:

   The Aircraft Elevation should be greater than the Obstacle Height. Danger! The aircraft is about to collide with a<xsl:text  xml:space="preserve"> </xsl:text>
            <xsl:value-of select="a:Obstacle/@type"/>
            <xsl:text  xml:space="preserve"> </xsl:text>... aircraft elevation =<xsl:text  xml:space="preserve"> </xsl:text>
            <xsl:value-of select="a:Aircraft/a:Elevation"/>
            <xsl:text  xml:space="preserve"> </xsl:text>...<xsl:text  xml:space="preserve"> </xsl:text>
            <xsl:value-of select="a:Obstacle/@type"/>
            <xsl:text  xml:space="preserve"> </xsl:text>height =<xsl:text  xml:space="preserve"> </xsl:text>
            <xsl:value-of select="a:Obstacle/a:Height"/>
            <xsl:text  xml:space="preserve"> </xsl:text>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M2"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M2"/>
   <xsl:template match="text()" priority="-1"/>
</xsl:stylesheet>