<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sch="http://www.ascc.net/xml/schematron" xmlns:j="http://www.journey-to-tibet.org" version="1.0" j:dummy-for-xmlns="">
   <xsl:output method="text"/>
   <xsl:template match="*|@*" mode="schematron-get-full-path">
      <xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <xsl:text>/</xsl:text>
      <xsl:if test="count(. | ../@*) = count(../@*)">@</xsl:if>
      <xsl:value-of select="name()"/>
      <xsl:text>[</xsl:text>
      <xsl:value-of select="1+count(preceding-sibling::*[name()=name(current())])"/>
      <xsl:text>]</xsl:text>
   </xsl:template>
   <xsl:template match="/">Schematron validation
<xsl:apply-templates select="/" mode="M2"/>
   </xsl:template>
   <xsl:template match="j:Trip" priority="4000" mode="M2">
      <xsl:choose>
         <xsl:when test="((@mode='air') and (j:Transportation='airplane')) or                                                       ((@mode='air') and (j:Transportation='hot-air balloon')) or                                                       ((@mode='water') and (j:Transportation='boat')) or                                                       ((@mode='water') and (j:Transportation='hovercraft')) or                                                       ((@mode='ground') and (j:Transportation='car')) or                                                        ((@mode='ground') and (j:Transportation='bicycle'))"/>
         <xsl:otherwise>

In pattern ((@mode='air') and (j:Transportation='airplane')) or ((@mode='air') and (j:Transportation='hot-air balloon')) or ((@mode='water') and (j:Transportation='boat')) or ((@mode='water') and (j:Transportation='hovercraft')) or ((@mode='ground') and (j:Transportation='car')) or ((@mode='ground') and (j:Transportation='bicycle')):

   If the mode is air then Transportation should be either airplane or hot-air balloon. If the mode is water then Transportation should be either boat or hovercraft. If the mode is ground then Transportation should be either car or bicycle. Error! Transportation does not have a legal value for the given mode ... segment =<xsl:text  xml:space="preserve"> </xsl:text>
            <xsl:value-of select="@segment"/>
            <xsl:text  xml:space="preserve"> </xsl:text>... mode =<xsl:text  xml:space="preserve"> </xsl:text>
            <xsl:value-of select="@mode"/>
            <xsl:text  xml:space="preserve"> </xsl:text>... Transportation =<xsl:text  xml:space="preserve"> </xsl:text>
            <xsl:value-of select="j:Transportation"/>
            <xsl:text  xml:space="preserve"> </xsl:text>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M2"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M2"/>
   <xsl:template match="text()" priority="-1"/>
</xsl:stylesheet>