@ECHO OFF

if '%1 == ' goto no-params
if '%2 == ' goto no-params
if not exist %1 goto no-file1
if not exist %2 goto no-file2
if not exist %3 goto no-file3

echo Running XSV validation of file %1...
echo.

call run-schema-validator %1

echo.
echo Running XSL validation of %1 using the stylesheet %3...
echo.

call run-saxon %1 %3 xslt-results.txt

echo.

goto eof

:no-params
   echo You need to run the batch file with three arguments.
   echo 1. The XML filename
   echo 2. The XSD Schema file
   echo 3. The XSL file
   echo Here's how to use it ...
   echo.
   echo Usage: "master-validate XML_file XSD_file XSL_file"
   echo.
   goto eof

:no-file1
   echo The file %1 doesn't exist!
   goto eof

:no-file2
   echo The file %2 doesn't exist!
   goto eof

:no-file3
   echo The file %3 doesn't exist!
   goto eof

:end
	echo.
	echo.
	echo Done.
	echo.
   goto eof

:eof

