@ECHO OFF

if '%1 == ' goto no-params

if %1 == help goto myhelp

set rootdir=..\..\..\..\..\

set which_xerces=xerces-1_3_0
set which_oracle=oracle
set which_xsv=xsv12

if %1 == -o goto oracle

if %1 == -x goto xerces

goto xsv

:xerces
   if not exist %rootdir%jre\1.1\lib\rt.jar goto no-rt
   if not exist %2 goto no-file
   if not exist %rootdir%xmlParsers\%which_xerces%\xerces.jar goto no-xer-jar
   if not exist %rootdir%xmlParsers\%which_xerces%\xercesSamples.jar goto no-xer-samples

   set oldPath=%path%
   set oldCLASSPATH=%CLASSPATH%

   set path=%rootdir%jre\1.1\bin

   set CLASSPATH=%rootdir%jre\1.1\lib\rt.jar
   set CLASSPATH=%CLASSPATH%;.

   set xerces_CLASSPATH=%CLASSPATH%;%rootdir%xmlParsers\%which_xerces%\xerces.jar
   set xerces_CLASSPATH=%xerces_CLASSPATH%;%rootdir%xmlParsers\%which_xerces%\xercesSamples.jar

   jre -classpath %xerces_CLASSPATH% sax.SAXCount -v %2

   echo.
   echo Done.
   echo.
   set path=%oldPath%
   set CLASSPATH=%oldCLASSPATH%
   goto eof

:xsv
   if not exist %1 goto no-file
   if not exist %rootdir%xmlParsers\%which_xsv%\xsv.exe goto no-xsv-exe
   set oldPath=%path%
   set path=%rootdir%xmlParsers\%which_xsv%
   echo.
   echo ---------------------------------------------------------
   echo Running the XSV Schema Validator with the following specification:
   echo    - XML File Being Validated: %1
   echo ---------------------------------------------------------
   xsv %1
   echo.
   echo Done.
   echo.
   set path=%oldPath%
   goto eof

:oracle
   if not exist %rootdir%jre\1.1\lib\rt.jar goto no-rt
   if not exist %2 goto no-file

   set oldPath=%path%
   set oldCLASSPATH=%CLASSPATH%

   set path=%rootdir%jre\1.1\bin

   set CLASSPATH=%rootdir%jre\1.1\lib\rt.jar
   set CLASSPATH=%CLASSPATH%;.

   set oracle_CLASSPATH=%CLASSPATH%;%rootdir%xmlParsers\%which_oracle%\lib\xmlparserv2.jar
   set oracle_CLASSPATH=%oracle_CLASSPATH%;%rootdir%xmlParsers\%which_oracle%\lib\xschema.jar
   set oracle_CLASSPATH=%oracle_CLASSPATH%;%rootdir%xml-schemas\examples

   echo.
   echo ---------------------------------------------------------
   echo Running the Oracle Schema Validator with the following specification:
   echo    - XML File Being Validated: %2
   echo ---------------------------------------------------------

   jre -classpath %oracle_CLASSPATH% XSDSample %2

   echo.
   echo Done.
   echo.
   set path=%oldPath%
   set CLASSPATH=%oldCLASSPATH%
   goto eof

:no-params
    echo Oops! You need to run the batch file with an argument.
    echo Here's how to use it ...
    echo.
    echo Usage: "validate [-o | -x] <xml filename>"
    echo Use -o to invoke the Oracle Schema Validator
    echo Use -x to invoke the Xerces (Apache) Schema Validator
    echo Use no flag to run the XSV Schema Validator
    echo.
    goto eof

:myhelp
    echo Usage: "validate [-o | -x] <xml filename>"
    echo Use -o to invoke the Oracle Schema Validator
    echo Use -x to invoke the Xerces (Apache) Schema Validator
    echo Use no flag to run the XSV Schema Validator
    echo.
    goto eof

:no-file
   echo Oops! %1 does not exist
   echo Most likely reason: mistyped filename
   echo Exiting ...
   echo.
   goto eof

:no-rt
   echo Oops! Missing this Java jre file: %rootdir%jre\1.1\lib\rt.jar
   echo Most likely reason: jre not installed in the correct directory
   echo Exiting ...
   goto eof

:no-xer-jar
   echo Oops! Missing this xerces file: %rootdir%xmlParsers\%which_xerces%\xerces.jar
   echo Most likely reason: xerces not installed in the correct directory
   echo Exiting ...
   goto eof

:no-xer-samples
   echo Oops! Missing this xerces file: %rootdir%xmlParsers\%which_xerces%\xercesSamples.jar
   echo Most likely reason: xerces not installed in the correct directory
   echo Exiting ...
   goto eof

:no-xsv-exe
   echo Oops! Missing this xsv file: %rootdir%xmlParsers\%which_xsv%\xsv.exe
   echo Most likely reason: xsv not installed in the correct directory
   echo Exiting ...
   goto eof

:eof

