@ECHO OFF

if '%1 == ' goto no-params
if '%2 == ' goto no-params
if not exist %1 goto no-file1
if not exist %2 goto no-file2
cls

set schematrondir=Stylesheets\

rem echo Running XSV validation of file %1...
echo.

rem call run-schema-validator %1

echo.
echo Creating Schematron schema from appinfo in %2...
echo.

call run-saxon %2 %schematrondir%XSD2Schtrn.xsl %1_sch

echo.
echo Running Basic Schematron validation of file %1...
echo.

call run-saxon %1_sch %schematrondir%schematron-basic-eddie.xsl validate.xsl diagnose=yes
call run-saxon %1 validate.xsl schematron-results.txt

del tmp\%1_sch
del tmp\validate.xsl

move %1_sch tmp
move validate.xsl tmp

goto eof

:no-params
   echo You need to run the batch file with two arguments.
   echo 1. The XML filename
   echo 2. The XSD Schema file
   echo Here's how to use it ...
   echo.
   echo Usage: "master-validate XML_file XSD_file"
   echo.
   goto eof

:no-file1
   cls
   echo The file %1 doesn't exist!
   goto eof

:no-file2
   cls
   echo The file %2 doesn't exist!
   goto eof

:end
	echo.
	echo.
	echo Done.
	echo.
   goto eof

:eof

