<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sch="http://www.ascc.net/xml/schematron" xmlns:i="http://www.publishing.org" version="1.0" i:dummy-for-xmlns="">
   <xsl:output method="text"/>
   <xsl:template match="*|@*" mode="schematron-get-full-path">
      <xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <xsl:text>/</xsl:text>
      <xsl:if test="count(. | ../@*) = count(../@*)">@</xsl:if>
      <xsl:value-of select="name()"/>
      <xsl:text>[</xsl:text>
      <xsl:value-of select="1+count(preceding-sibling::*[name()=name(current())])"/>
      <xsl:text>]</xsl:text>
   </xsl:template>
   <xsl:template match="/">Schematron validation
<xsl:apply-templates select="/" mode="M2"/>
      <xsl:apply-templates select="/" mode="M3"/>
      <xsl:apply-templates select="/" mode="M4"/>
      <xsl:apply-templates select="/" mode="M5"/>
      <xsl:apply-templates select="/" mode="M6"/>
      <xsl:apply-templates select="/" mode="M7"/>
      <xsl:apply-templates select="/" mode="M8"/>
      <xsl:apply-templates select="/" mode="M9"/>
      <xsl:apply-templates select="/" mode="M10"/>
      <xsl:apply-templates select="/" mode="M11"/>
      <xsl:apply-templates select="/" mode="M12"/>
      <xsl:apply-templates select="/" mode="M13"/>
   </xsl:template>
   <xsl:template match="i:ISBN[((substring(., 5, 1)='-') or                                                         (substring(., 5, 1)=' ')) and                                                        (substring(., 13, 1) != 'x')]" priority="4000" mode="M2">
      <xsl:choose>
         <xsl:when test="(                                                     11 - (                                                            (                                                              (substring(., 1, 1) * 10) +                                                              (substring(., 3, 1) * 9) +                                                              (substring(., 4, 1) * 8) +                                                              (substring(., 6, 1) * 7) +                                                              (substring(., 7, 1) * 6) +                                                              (substring(., 8, 1) * 5) +                                                              (substring(., 9, 1) * 4) +                                                              (substring(., 10, 1) * 3) +                                                              (substring(., 11, 1) * 2)                                                             ) mod 11                                                          )                                                   )                                                 = substring(., 13, 1)"/>
         <xsl:otherwise>

In pattern ( 11 - ( ( (substring(., 1, 1) * 10) + (substring(., 3, 1) * 9) + (substring(., 4, 1) * 8) + (substring(., 6, 1) * 7) + (substring(., 7, 1) * 6) + (substring(., 8, 1) * 5) + (substring(., 9, 1) * 4) + (substring(., 10, 1) * 3) + (substring(., 11, 1) * 2) ) mod 11 ) ) = substring(., 13, 1):

   The sum of the check digit with the other digits (appropriately scaled) should equal the next multiple of 11. Error! Invalid check digit ... isbn =<xsl:text  xml:space="preserve"> </xsl:text>
            <xsl:value-of select="."/>
            <xsl:text  xml:space="preserve"> </xsl:text>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M2"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M2"/>
   <xsl:template match="i:ISBN[((substring(., 5, 1)='-') or                                                         (substring(., 5, 1)=' ')) and                                                        (substring(., 13, 1) = 'x')]" priority="4000" mode="M3">
      <xsl:choose>
         <xsl:when test="(                                                     11 - (                                                            (                                                              (substring(., 1, 1) * 10) +                                                              (substring(., 3, 1) * 9) +                                                              (substring(., 4, 1) * 8) +                                                              (substring(., 6, 1) * 7) +                                                              (substring(., 7, 1) * 6) +                                                              (substring(., 8, 1) * 5) +                                                              (substring(., 9, 1) * 4) +                                                              (substring(., 10, 1) * 3) +                                                              (substring(., 11, 1) * 2)                                                             ) mod 11                                                          )                                                   )                                                 = 10"/>
         <xsl:otherwise>

In pattern ( 11 - ( ( (substring(., 1, 1) * 10) + (substring(., 3, 1) * 9) + (substring(., 4, 1) * 8) + (substring(., 6, 1) * 7) + (substring(., 7, 1) * 6) + (substring(., 8, 1) * 5) + (substring(., 9, 1) * 4) + (substring(., 10, 1) * 3) + (substring(., 11, 1) * 2) ) mod 11 ) ) = 10:

   The sum of the check digit with the other digits (appropriately scaled) should equal the next multiple of 11. Error! Invalid check digit ... isbn =<xsl:text  xml:space="preserve"> </xsl:text>
            <xsl:value-of select="."/>
            <xsl:text  xml:space="preserve"> </xsl:text>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M3"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M3"/>
   <xsl:template match="i:ISBN[((substring(., 6, 1)='-') or                                                         (substring(., 6, 1)=' ')) and                                                        (substring(., 13, 1) != 'x')]" priority="4000" mode="M4">
      <xsl:choose>
         <xsl:when test="(                                                     11 - (                                                            (                                                              (substring(., 1, 1) * 10) +                                                              (substring(., 3, 1) * 9) +                                                              (substring(., 4, 1) * 8) +                                                              (substring(., 5, 1) * 7) +                                                              (substring(., 7, 1) * 6) +                                                              (substring(., 8, 1) * 5) +                                                              (substring(., 9, 1) * 4) +                                                              (substring(., 10, 1) * 3) +                                                              (substring(., 11, 1) * 2)                                                             ) mod 11                                                          )                                                   )                                                 = substring(., 13, 1)"/>
         <xsl:otherwise>

In pattern ( 11 - ( ( (substring(., 1, 1) * 10) + (substring(., 3, 1) * 9) + (substring(., 4, 1) * 8) + (substring(., 5, 1) * 7) + (substring(., 7, 1) * 6) + (substring(., 8, 1) * 5) + (substring(., 9, 1) * 4) + (substring(., 10, 1) * 3) + (substring(., 11, 1) * 2) ) mod 11 ) ) = substring(., 13, 1):

   The sum of the check digit with the other digits (appropriately scaled) should equal the next multiple of 11. Error! Invalid check digit ... isbn =<xsl:text  xml:space="preserve"> </xsl:text>
            <xsl:value-of select="."/>
            <xsl:text  xml:space="preserve"> </xsl:text>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M4"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M4"/>
   <xsl:template match="i:ISBN[((substring(., 6, 1)='-') or                                                         (substring(., 6, 1)=' ')) and                                                        (substring(., 13, 1) = 'x')]" priority="4000" mode="M5">
      <xsl:choose>
         <xsl:when test="(                                                     11 - (                                                            (                                                              (substring(., 1, 1) * 10) +                                                              (substring(., 3, 1) * 9) +                                                              (substring(., 4, 1) * 8) +                                                              (substring(., 5, 1) * 7) +                                                              (substring(., 7, 1) * 6) +                                                              (substring(., 8, 1) * 5) +                                                              (substring(., 9, 1) * 4) +                                                              (substring(., 10, 1) * 3) +                                                              (substring(., 11, 1) * 2)                                                             ) mod 11                                                          )                                                   )                                                 = 10"/>
         <xsl:otherwise>

In pattern ( 11 - ( ( (substring(., 1, 1) * 10) + (substring(., 3, 1) * 9) + (substring(., 4, 1) * 8) + (substring(., 5, 1) * 7) + (substring(., 7, 1) * 6) + (substring(., 8, 1) * 5) + (substring(., 9, 1) * 4) + (substring(., 10, 1) * 3) + (substring(., 11, 1) * 2) ) mod 11 ) ) = 10:

   The sum of the check digit with the other digits (appropriately scaled) should equal the next multiple of 11. Error! Invalid check digit ... isbn =<xsl:text  xml:space="preserve"> </xsl:text>
            <xsl:value-of select="."/>
            <xsl:text  xml:space="preserve"> </xsl:text>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M5"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M5"/>
   <xsl:template match="i:ISBN[((substring(., 7, 1)='-') or                                                         (substring(., 7, 1)=' ')) and                                                        (substring(., 13, 1) != 'x')]" priority="4000" mode="M6">
      <xsl:choose>
         <xsl:when test="(                                                     11 - (                                                            (                                                              (substring(., 1, 1) * 10) +                                                              (substring(., 3, 1) * 9) +                                                              (substring(., 4, 1) * 8) +                                                              (substring(., 5, 1) * 7) +                                                              (substring(., 6, 1) * 6) +                                                              (substring(., 8, 1) * 5) +                                                              (substring(., 9, 1) * 4) +                                                              (substring(., 10, 1) * 3) +                                                              (substring(., 11, 1) * 2)                                                             ) mod 11                                                          )                                                   )                                                 = substring(., 13, 1)"/>
         <xsl:otherwise>

In pattern ( 11 - ( ( (substring(., 1, 1) * 10) + (substring(., 3, 1) * 9) + (substring(., 4, 1) * 8) + (substring(., 5, 1) * 7) + (substring(., 6, 1) * 6) + (substring(., 8, 1) * 5) + (substring(., 9, 1) * 4) + (substring(., 10, 1) * 3) + (substring(., 11, 1) * 2) ) mod 11 ) ) = substring(., 13, 1):

   The sum of the check digit with the other digits (appropriately scaled) should equal the next multiple of 11. Error! Invalid check digit ... isbn =<xsl:text  xml:space="preserve"> </xsl:text>
            <xsl:value-of select="."/>
            <xsl:text  xml:space="preserve"> </xsl:text>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M6"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M6"/>
   <xsl:template match="i:ISBN[((substring(., 7, 1)='-') or                                                         (substring(., 7, 1)=' ')) and                                                        (substring(., 13, 1) = 'x')]" priority="4000" mode="M7">
      <xsl:choose>
         <xsl:when test="(                                                     11 - (                                                            (                                                              (substring(., 1, 1) * 10) +                                                              (substring(., 3, 1) * 9) +                                                              (substring(., 4, 1) * 8) +                                                              (substring(., 5, 1) * 7) +                                                              (substring(., 6, 1) * 6) +                                                              (substring(., 8, 1) * 5) +                                                              (substring(., 9, 1) * 4) +                                                              (substring(., 10, 1) * 3) +                                                              (substring(., 11, 1) * 2)                                                             ) mod 11                                                          )                                                   )                                                 = 10"/>
         <xsl:otherwise>

In pattern ( 11 - ( ( (substring(., 1, 1) * 10) + (substring(., 3, 1) * 9) + (substring(., 4, 1) * 8) + (substring(., 5, 1) * 7) + (substring(., 6, 1) * 6) + (substring(., 8, 1) * 5) + (substring(., 9, 1) * 4) + (substring(., 10, 1) * 3) + (substring(., 11, 1) * 2) ) mod 11 ) ) = 10:

   The sum of the check digit with the other digits (appropriately scaled) should equal the next multiple of 11. Error! Invalid check digit ... isbn =<xsl:text  xml:space="preserve"> </xsl:text>
            <xsl:value-of select="."/>
            <xsl:text  xml:space="preserve"> </xsl:text>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M7"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M7"/>
   <xsl:template match="i:ISBN[((substring(., 8, 1)='-') or                                                         (substring(., 8, 1)=' ')) and                                                        (substring(., 13, 1) != 'x')]" priority="4000" mode="M8">
      <xsl:choose>
         <xsl:when test="(                                                     11 - (                                                            (                                                              (substring(., 1, 1) * 10) +                                                              (substring(., 3, 1) * 9) +                                                              (substring(., 4, 1) * 8) +                                                              (substring(., 5, 1) * 7) +                                                              (substring(., 6, 1) * 6) +                                                              (substring(., 7, 1) * 5) +                                                              (substring(., 9, 1) * 4) +                                                              (substring(., 10, 1) * 3) +                                                              (substring(., 11, 1) * 2)                                                             ) mod 11                                                          )                                                   )                                                 = substring(., 13, 1)"/>
         <xsl:otherwise>

In pattern ( 11 - ( ( (substring(., 1, 1) * 10) + (substring(., 3, 1) * 9) + (substring(., 4, 1) * 8) + (substring(., 5, 1) * 7) + (substring(., 6, 1) * 6) + (substring(., 7, 1) * 5) + (substring(., 9, 1) * 4) + (substring(., 10, 1) * 3) + (substring(., 11, 1) * 2) ) mod 11 ) ) = substring(., 13, 1):

   The sum of the check digit with the other digits (appropriately scaled) should equal the next multiple of 11. Error! Invalid check digit ... isbn =<xsl:text  xml:space="preserve"> </xsl:text>
            <xsl:value-of select="."/>
            <xsl:text  xml:space="preserve"> </xsl:text>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M8"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M8"/>
   <xsl:template match="i:ISBN[((substring(., 8, 1)='-') or                                                         (substring(., 8, 1)=' ')) and                                                        (substring(., 13, 1) = 'x')]" priority="4000" mode="M9">
      <xsl:choose>
         <xsl:when test="(                                                     11 - (                                                            (                                                              (substring(., 1, 1) * 10) +                                                              (substring(., 3, 1) * 9) +                                                              (substring(., 4, 1) * 8) +                                                              (substring(., 5, 1) * 7) +                                                              (substring(., 6, 1) * 6) +                                                              (substring(., 7, 1) * 5) +                                                              (substring(., 9, 1) * 4) +                                                              (substring(., 10, 1) * 3) +                                                              (substring(., 11, 1) * 2)                                                             ) mod 11                                                          )                                                   )                                                 = 10"/>
         <xsl:otherwise>

In pattern ( 11 - ( ( (substring(., 1, 1) * 10) + (substring(., 3, 1) * 9) + (substring(., 4, 1) * 8) + (substring(., 5, 1) * 7) + (substring(., 6, 1) * 6) + (substring(., 7, 1) * 5) + (substring(., 9, 1) * 4) + (substring(., 10, 1) * 3) + (substring(., 11, 1) * 2) ) mod 11 ) ) = 10:

   The sum of the check digit with the other digits (appropriately scaled) should equal the next multiple of 11. Error! Invalid check digit ... isbn =<xsl:text  xml:space="preserve"> </xsl:text>
            <xsl:value-of select="."/>
            <xsl:text  xml:space="preserve"> </xsl:text>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M9"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M9"/>
   <xsl:template match="i:ISBN[((substring(., 9, 1)='-') or                                                         (substring(., 9, 1)=' ')) and                                                        (substring(., 13, 1) != 'x')]" priority="4000" mode="M10">
      <xsl:choose>
         <xsl:when test="(                                                     11 - (                                                            (                                                              (substring(., 1, 1) * 10) +                                                              (substring(., 3, 1) * 9) +                                                              (substring(., 4, 1) * 8) +                                                              (substring(., 5, 1) * 7) +                                                              (substring(., 6, 1) * 6) +                                                              (substring(., 7, 1) * 5) +                                                              (substring(., 8, 1) * 4) +                                                              (substring(., 10, 1) * 3) +                                                              (substring(., 11, 1) * 2)                                                             ) mod 11                                                          )                                                   )                                                 = substring(., 13, 1)"/>
         <xsl:otherwise>

In pattern ( 11 - ( ( (substring(., 1, 1) * 10) + (substring(., 3, 1) * 9) + (substring(., 4, 1) * 8) + (substring(., 5, 1) * 7) + (substring(., 6, 1) * 6) + (substring(., 7, 1) * 5) + (substring(., 8, 1) * 4) + (substring(., 10, 1) * 3) + (substring(., 11, 1) * 2) ) mod 11 ) ) = substring(., 13, 1):

   The sum of the check digit with the other digits (appropriately scaled) should equal the next multiple of 11. Error! Invalid check digit ... isbn =<xsl:text  xml:space="preserve"> </xsl:text>
            <xsl:value-of select="."/>
            <xsl:text  xml:space="preserve"> </xsl:text>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M10"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M10"/>
   <xsl:template match="i:ISBN[((substring(., 9, 1)='-') or                                                         (substring(., 9, 1)=' ')) and                                                        (substring(., 13, 1) = 'x')]" priority="4000" mode="M11">
      <xsl:choose>
         <xsl:when test="(                                                     11 - (                                                            (                                                              (substring(., 1, 1) * 10) +                                                              (substring(., 3, 1) * 9) +                                                              (substring(., 4, 1) * 8) +                                                              (substring(., 5, 1) * 7) +                                                              (substring(., 6, 1) * 6) +                                                              (substring(., 7, 1) * 5) +                                                              (substring(., 8, 1) * 4) +                                                              (substring(., 10, 1) * 3) +                                                              (substring(., 11, 1) * 2)                                                             ) mod 11                                                          )                                                   )                                                 = 10"/>
         <xsl:otherwise>

In pattern ( 11 - ( ( (substring(., 1, 1) * 10) + (substring(., 3, 1) * 9) + (substring(., 4, 1) * 8) + (substring(., 5, 1) * 7) + (substring(., 6, 1) * 6) + (substring(., 7, 1) * 5) + (substring(., 8, 1) * 4) + (substring(., 10, 1) * 3) + (substring(., 11, 1) * 2) ) mod 11 ) ) = 10:

   The sum of the check digit with the other digits (appropriately scaled) should equal the next multiple of 11. Error! Invalid check digit ... isbn =<xsl:text  xml:space="preserve"> </xsl:text>
            <xsl:value-of select="."/>
            <xsl:text  xml:space="preserve"> </xsl:text>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M11"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M11"/>
   <xsl:template match="i:ISBN[((substring(., 10, 1)='-') or                                                         (substring(., 10, 1)=' ')) and                                                        (substring(., 13, 1) != 'x')]" priority="4000" mode="M12">
      <xsl:choose>
         <xsl:when test="(                                                     11 - (                                                            (                                                              (substring(., 1, 1) * 10) +                                                              (substring(., 3, 1) * 9) +                                                              (substring(., 4, 1) * 8) +                                                              (substring(., 5, 1) * 7) +                                                              (substring(., 6, 1) * 6) +                                                              (substring(., 7, 1) * 5) +                                                              (substring(., 8, 1) * 4) +                                                              (substring(., 9, 1) * 3) +                                                              (substring(., 11, 1) * 2)                                                             ) mod 11                                                          )                                                   )                                                 = substring(., 13, 1)"/>
         <xsl:otherwise>

In pattern ( 11 - ( ( (substring(., 1, 1) * 10) + (substring(., 3, 1) * 9) + (substring(., 4, 1) * 8) + (substring(., 5, 1) * 7) + (substring(., 6, 1) * 6) + (substring(., 7, 1) * 5) + (substring(., 8, 1) * 4) + (substring(., 9, 1) * 3) + (substring(., 11, 1) * 2) ) mod 11 ) ) = substring(., 13, 1):

   The sum of the check digit with the other digits (appropriately scaled) should equal the next multiple of 11. Error! Invalid check digit ... isbn =<xsl:text  xml:space="preserve"> </xsl:text>
            <xsl:value-of select="."/>
            <xsl:text  xml:space="preserve"> </xsl:text>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M12"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M12"/>
   <xsl:template match="i:ISBN[((substring(., 10, 1)='-') or                                                         (substring(., 10, 1)=' ')) and                                                        (substring(., 13, 1) = 'x')]" priority="4000" mode="M13">
      <xsl:choose>
         <xsl:when test="(                                                     11 - (                                                            (                                                              (substring(., 1, 1) * 10) +                                                              (substring(., 3, 1) * 9) +                                                              (substring(., 4, 1) * 8) +                                                              (substring(., 5, 1) * 7) +                                                              (substring(., 6, 1) * 6) +                                                              (substring(., 7, 1) * 5) +                                                              (substring(., 8, 1) * 4) +                                                              (substring(., 9, 1) * 3) +                                                              (substring(., 11, 1) * 2)                                                             ) mod 11                                                          )                                                   )                                                 = 10"/>
         <xsl:otherwise>

In pattern ( 11 - ( ( (substring(., 1, 1) * 10) + (substring(., 3, 1) * 9) + (substring(., 4, 1) * 8) + (substring(., 5, 1) * 7) + (substring(., 6, 1) * 6) + (substring(., 7, 1) * 5) + (substring(., 8, 1) * 4) + (substring(., 9, 1) * 3) + (substring(., 11, 1) * 2) ) mod 11 ) ) = 10:

   The sum of the check digit with the other digits (appropriately scaled) should equal the next multiple of 11. Error! Invalid check digit ... isbn =<xsl:text  xml:space="preserve"> </xsl:text>
            <xsl:value-of select="."/>
            <xsl:text  xml:space="preserve"> </xsl:text>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M13"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M13"/>
   <xsl:template match="text()" priority="-1"/>
</xsl:stylesheet>