<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:i="http://www.publishing.org"
                version="1.0">
 
    <xsl:output method="text"/>

    <xsl:template match="*"/>

    <xsl:template match="i:BookCatalogue">
        <xsl:for-each select="i:Book">
            <xsl:variable name="checkDigit" select="substring(i:ISBN, 13, 1)"/>
<xsl:text>check digit = </xsl:text><xsl:value-of select="$checkDigit"/>
<xsl:text>&#xD;&#xA;</xsl:text>
            <xsl:choose>
                <xsl:when test="i:ISBN[((substring(., 5, 1)='-') or 
                                        (substring(., 5, 1)=' ')) and
                                        (substring(., 13, 1) != 'x')]">
                    <xsl:variable name="sum" 
                                  select="(substring(i:ISBN, 1, 1) * 10) +
                                          (substring(i:ISBN, 3, 1) * 9) +
                                          (substring(i:ISBN, 4, 1) * 8) +
                                          (substring(i:ISBN, 6, 1) * 7) +
                                          (substring(i:ISBN, 7, 1) * 6) +
                                          (substring(i:ISBN, 8, 1) * 5) +
                                          (substring(i:ISBN, 9, 1) * 4) +
                                          (substring(i:ISBN, 10, 1) * 3) +
                                          (substring(i:ISBN, 11, 1) * 2)"/>
                    <xsl:variable name="correctCheckDigit" select="11 - ($sum mod 11)"/>
                    <xsl:if test="$correctCheckDigit != $checkDigit">
                        <xsl:text>Error! Invalid check digit</xsl:text>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>   isbn = </xsl:text><xsl:value-of select="i:ISBN"/>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>   check digit = </xsl:text><xsl:value-of select="$checkDigit"/>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>   correct check digit = </xsl:text><xsl:value-of select="$correctCheckDigit"/>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                    </xsl:if>
                    <xsl:if test="$correctCheckDigit = $checkDigit">
                        <xsl:text>isbn = </xsl:text><xsl:value-of select="i:ISBN"/>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>   check digit </xsl:text><xsl:value-of select="$checkDigit"/><xsl:text> is valid.</xsl:text>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                    <xsl:text>&#xD;&#xA;</xsl:text>
                   </xsl:if>
                </xsl:when>
                <xsl:when test="i:ISBN[((substring(., 5, 1)='-') or 
                                        (substring(., 5, 1)=' ')) and
                                        (substring(., 13, 1) = 'x')]">
                    <xsl:variable name="sum" 
                                  select="(substring(i:ISBN, 1, 1) * 10) +
                                          (substring(i:ISBN, 3, 1) * 9) +
                                          (substring(i:ISBN, 4, 1) * 8) +
                                          (substring(i:ISBN, 6, 1) * 7) +
                                          (substring(i:ISBN, 7, 1) * 6) +
                                          (substring(i:ISBN, 8, 1) * 5) +
                                          (substring(i:ISBN, 9, 1) * 4) +
                                          (substring(i:ISBN, 10, 1) * 3) +
                                          (substring(i:ISBN, 11, 1) * 2)"/>
                    <xsl:variable name="correctCheckDigit" select="11 - ($sum mod 11)"/>
                    <xsl:if test="$correctCheckDigit != 10">
                        <xsl:text>Error! Invalid check digit</xsl:text>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>   isbn = </xsl:text><xsl:value-of select="i:ISBN"/>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>   check digit = </xsl:text><xsl:value-of select="$checkDigit"/>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>   correct check digit = </xsl:text><xsl:value-of select="$correctCheckDigit"/>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                    </xsl:if>
                    <xsl:if test="$correctCheckDigit = 10">
                        <xsl:text>isbn = </xsl:text><xsl:value-of select="i:ISBN"/>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>   check digit </xsl:text><xsl:value-of select="$checkDigit"/><xsl:text> is valid.</xsl:text>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                    <xsl:text>&#xD;&#xA;</xsl:text>
                   </xsl:if>
                </xsl:when>
                <xsl:when test="i:ISBN[((substring(., 6, 1)='-') or 
                                        (substring(., 6, 1)=' ')) and
                                        (substring(., 13, 1) != 'x')]">
                    <xsl:variable name="sum" 
                                  select="(substring(i:ISBN, 1, 1) * 10) +
                                          (substring(i:ISBN, 3, 1) * 9) +
                                          (substring(i:ISBN, 4, 1) * 8) +
                                          (substring(i:ISBN, 5, 1) * 7) +
                                          (substring(i:ISBN, 7, 1) * 6) +
                                          (substring(i:ISBN, 8, 1) * 5) +
                                          (substring(i:ISBN, 9, 1) * 4) +
                                          (substring(i:ISBN, 10, 1) * 3) +
                                          (substring(i:ISBN, 11, 1) * 2)"/>
<xsl:text>Hyphen at character position 6</xsl:text>
<xsl:text>&#xD;&#xA;</xsl:text>
<xsl:text>sum  = </xsl:text><xsl:value-of select="$sum"/>
<xsl:text>&#xD;&#xA;</xsl:text>
                    <xsl:variable name="correctCheckDigit" select="11 - ($sum mod 11)"/>
                    <xsl:if test="$correctCheckDigit != $checkDigit">
                        <xsl:text>Error! Invalid check digit</xsl:text>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>   isbn = </xsl:text><xsl:value-of select="i:ISBN"/>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>   check digit = </xsl:text><xsl:value-of select="$checkDigit"/>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>   correct check digit = </xsl:text><xsl:value-of select="$correctCheckDigit"/>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                    </xsl:if>
                    <xsl:if test="$correctCheckDigit = $checkDigit">
                        <xsl:text>isbn = </xsl:text><xsl:value-of select="i:ISBN"/>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>   check digit </xsl:text><xsl:value-of select="$checkDigit"/><xsl:text> is valid.</xsl:text>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                    <xsl:text>&#xD;&#xA;</xsl:text>
                   </xsl:if>
                </xsl:when>
                <xsl:when test="i:ISBN[((substring(., 6, 1)='-') or 
                                        (substring(., 6, 1)=' ')) and
                                        (substring(., 13, 1) = 'x')]">
                    <xsl:variable name="sum" 
                                  select="(substring(i:ISBN, 1, 1) * 10) +
                                          (substring(i:ISBN, 3, 1) * 9) +
                                          (substring(i:ISBN, 4, 1) * 8) +
                                          (substring(i:ISBN, 5, 1) * 7) +
                                          (substring(i:ISBN, 7, 1) * 6) +
                                          (substring(i:ISBN, 8, 1) * 5) +
                                          (substring(i:ISBN, 9, 1) * 4) +
                                          (substring(i:ISBN, 10, 1) * 3) +
                                          (substring(i:ISBN, 11, 1) * 2)"/>
                    <xsl:variable name="correctCheckDigit" select="11 - ($sum mod 11)"/>
                    <xsl:if test="$correctCheckDigit != 10">
                        <xsl:text>Error! Invalid check digit</xsl:text>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>   isbn = </xsl:text><xsl:value-of select="i:ISBN"/>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>   check digit = </xsl:text><xsl:value-of select="$checkDigit"/>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>   correct check digit = </xsl:text><xsl:value-of select="$correctCheckDigit"/>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                    </xsl:if>
                    <xsl:if test="$correctCheckDigit = 10">
                        <xsl:text>isbn = </xsl:text><xsl:value-of select="i:ISBN"/>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>   check digit </xsl:text><xsl:value-of select="$checkDigit"/><xsl:text> is valid.</xsl:text>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                    <xsl:text>&#xD;&#xA;</xsl:text>
                   </xsl:if>
                </xsl:when>
                <xsl:when test="i:ISBN[((substring(., 7, 1)='-') or 
                                        (substring(., 7, 1)=' ')) and
                                        (substring(., 13, 1) != 'x')]">
                    <xsl:variable name="sum" 
                                  select="(substring(i:ISBN, 1, 1) * 10) +
                                          (substring(i:ISBN, 3, 1) * 9) +
                                          (substring(i:ISBN, 4, 1) * 8) +
                                          (substring(i:ISBN, 5, 1) * 7) +
                                          (substring(i:ISBN, 6, 1) * 6) +
                                          (substring(i:ISBN, 8, 1) * 5) +
                                          (substring(i:ISBN, 9, 1) * 4) +
                                          (substring(i:ISBN, 10, 1) * 3) +
                                          (substring(i:ISBN, 11, 1) * 2)"/>
                    <xsl:variable name="correctCheckDigit" select="11 - ($sum mod 11)"/>
                    <xsl:if test="$correctCheckDigit != $checkDigit">
                        <xsl:text>Error! Invalid check digit</xsl:text>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>   isbn = </xsl:text><xsl:value-of select="i:ISBN"/>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>   check digit = </xsl:text><xsl:value-of select="$checkDigit"/>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>   correct check digit = </xsl:text><xsl:value-of select="$correctCheckDigit"/>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                    </xsl:if>
                    <xsl:if test="$correctCheckDigit = $checkDigit">
                        <xsl:text>isbn = </xsl:text><xsl:value-of select="i:ISBN"/>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>   check digit </xsl:text><xsl:value-of select="$checkDigit"/><xsl:text> is valid.</xsl:text>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                    <xsl:text>&#xD;&#xA;</xsl:text>
                   </xsl:if>
                </xsl:when>
                <xsl:when test="i:ISBN[((substring(., 7, 1)='-') or 
                                        (substring(., 7, 1)=' ')) and
                                        (substring(., 13, 1) = 'x')]">
                    <xsl:variable name="sum" 
                                  select="(substring(i:ISBN, 1, 1) * 10) +
                                          (substring(i:ISBN, 3, 1) * 9) +
                                          (substring(i:ISBN, 4, 1) * 8) +
                                          (substring(i:ISBN, 5, 1) * 7) +
                                          (substring(i:ISBN, 6, 1) * 6) +
                                          (substring(i:ISBN, 8, 1) * 5) +
                                          (substring(i:ISBN, 9, 1) * 4) +
                                          (substring(i:ISBN, 10, 1) * 3) +
                                          (substring(i:ISBN, 11, 1) * 2)"/>
                    <xsl:variable name="correctCheckDigit" select="11 - ($sum mod 11)"/>
                    <xsl:if test="$correctCheckDigit != 10">
                        <xsl:text>Error! Invalid check digit</xsl:text>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>   isbn = </xsl:text><xsl:value-of select="i:ISBN"/>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>   check digit = </xsl:text><xsl:value-of select="$checkDigit"/>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>   correct check digit = </xsl:text><xsl:value-of select="$correctCheckDigit"/>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                    </xsl:if>
                    <xsl:if test="$correctCheckDigit = 10">
                        <xsl:text>isbn = </xsl:text><xsl:value-of select="i:ISBN"/>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>   check digit </xsl:text><xsl:value-of select="$checkDigit"/><xsl:text> is valid.</xsl:text>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                    <xsl:text>&#xD;&#xA;</xsl:text>
                   </xsl:if>
                </xsl:when>
                <xsl:when test="i:ISBN[((substring(., 8, 1)='-') or 
                                        (substring(., 8, 1)=' ')) and
                                        (substring(., 13, 1) != 'x')]">
                    <xsl:variable name="sum" 
                                  select="(substring(i:ISBN, 1, 1) * 10) +
                                          (substring(i:ISBN, 3, 1) * 9) +
                                          (substring(i:ISBN, 4, 1) * 8) +
                                          (substring(i:ISBN, 5, 1) * 7) +
                                          (substring(i:ISBN, 6, 1) * 6) +
                                          (substring(i:ISBN, 7, 1) * 5) +
                                          (substring(i:ISBN, 9, 1) * 4) +
                                          (substring(i:ISBN, 10, 1) * 3) +
                                          (substring(i:ISBN, 11, 1) * 2)"/>
                    <xsl:variable name="correctCheckDigit" select="11 - ($sum mod 11)"/>
                    <xsl:if test="$correctCheckDigit != $checkDigit">
                        <xsl:text>Error! Invalid check digit</xsl:text>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>   isbn = </xsl:text><xsl:value-of select="i:ISBN"/>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>   check digit = </xsl:text><xsl:value-of select="$checkDigit"/>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>   correct check digit = </xsl:text><xsl:value-of select="$correctCheckDigit"/>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                    </xsl:if>
                    <xsl:if test="$correctCheckDigit = $checkDigit">
                        <xsl:text>isbn = </xsl:text><xsl:value-of select="i:ISBN"/>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>   check digit </xsl:text><xsl:value-of select="$checkDigit"/><xsl:text> is valid.</xsl:text>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                    <xsl:text>&#xD;&#xA;</xsl:text>
                   </xsl:if>
                </xsl:when>
                <xsl:when test="i:ISBN[((substring(., 8, 1)='-') or 
                                        (substring(., 8, 1)=' ')) and
                                        (substring(., 13, 1) = 'x')]">
                    <xsl:variable name="sum" 
                                  select="(substring(i:ISBN, 1, 1) * 10) +
                                          (substring(i:ISBN, 3, 1) * 9) +
                                          (substring(i:ISBN, 4, 1) * 8) +
                                          (substring(i:ISBN, 5, 1) * 7) +
                                          (substring(i:ISBN, 6, 1) * 6) +
                                          (substring(i:ISBN, 7, 1) * 5) +
                                          (substring(i:ISBN, 9, 1) * 4) +
                                          (substring(i:ISBN, 10, 1) * 3) +
                                          (substring(i:ISBN, 11, 1) * 2)"/>
                    <xsl:variable name="correctCheckDigit" select="11 - ($sum mod 11)"/>
                    <xsl:if test="$correctCheckDigit != 10">
                        <xsl:text>Error! Invalid check digit</xsl:text>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>   isbn = </xsl:text><xsl:value-of select="i:ISBN"/>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>   check digit = </xsl:text><xsl:value-of select="$checkDigit"/>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>   correct check digit = </xsl:text><xsl:value-of select="$correctCheckDigit"/>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                    </xsl:if>
                    <xsl:if test="$correctCheckDigit = 10">
                        <xsl:text>isbn = </xsl:text><xsl:value-of select="i:ISBN"/>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>   check digit </xsl:text><xsl:value-of select="$checkDigit"/><xsl:text> is valid.</xsl:text>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                    <xsl:text>&#xD;&#xA;</xsl:text>
                   </xsl:if>
                </xsl:when>
                <xsl:when test="i:ISBN[((substring(., 9, 1)='-') or 
                                        (substring(., 9, 1)=' ')) and
                                        (substring(., 13, 1) != 'x')]">
                    <xsl:variable name="sum" 
                                  select="(substring(i:ISBN, 1, 1) * 10) +
                                          (substring(i:ISBN, 3, 1) * 9) +
                                          (substring(i:ISBN, 4, 1) * 8) +
                                          (substring(i:ISBN, 5, 1) * 7) +
                                          (substring(i:ISBN, 6, 1) * 6) +
                                          (substring(i:ISBN, 7, 1) * 5) +
                                          (substring(i:ISBN, 8, 1) * 4) +
                                          (substring(i:ISBN, 10, 1) * 3) +
                                          (substring(i:ISBN, 11, 1) * 2)"/>
                    <xsl:variable name="correctCheckDigit" select="11 - ($sum mod 11)"/>
                    <xsl:if test="$correctCheckDigit != $checkDigit">
                        <xsl:text>Error! Invalid check digit</xsl:text>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>   isbn = </xsl:text><xsl:value-of select="i:ISBN"/>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>   check digit = </xsl:text><xsl:value-of select="$checkDigit"/>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>   correct check digit = </xsl:text><xsl:value-of select="$correctCheckDigit"/>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                    </xsl:if>
                    <xsl:if test="$correctCheckDigit = $checkDigit">
                        <xsl:text>isbn = </xsl:text><xsl:value-of select="i:ISBN"/>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>   check digit </xsl:text><xsl:value-of select="$checkDigit"/><xsl:text> is valid.</xsl:text>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                    <xsl:text>&#xD;&#xA;</xsl:text>
                   </xsl:if>
                </xsl:when>
                <xsl:when test="i:ISBN[((substring(., 9, 1)='-') or 
                                        (substring(., 9, 1)=' ')) and
                                        (substring(., 13, 1) = 'x')]">
                    <xsl:variable name="sum" 
                                  select="(substring(i:ISBN, 1, 1) * 10) +
                                          (substring(i:ISBN, 3, 1) * 9) +
                                          (substring(i:ISBN, 4, 1) * 8) +
                                          (substring(i:ISBN, 5, 1) * 7) +
                                          (substring(i:ISBN, 6, 1) * 6) +
                                          (substring(i:ISBN, 7, 1) * 5) +
                                          (substring(i:ISBN, 8, 1) * 4) +
                                          (substring(i:ISBN, 10, 1) * 3) +
                                          (substring(i:ISBN, 11, 1) * 2)"/>
                    <xsl:variable name="correctCheckDigit" select="11 - ($sum mod 11)"/>
                    <xsl:if test="$correctCheckDigit != 10">
                        <xsl:text>Error! Invalid check digit</xsl:text>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>   isbn = </xsl:text><xsl:value-of select="i:ISBN"/>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>   check digit = </xsl:text><xsl:value-of select="$checkDigit"/>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>   correct check digit = </xsl:text><xsl:value-of select="$correctCheckDigit"/>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                    </xsl:if>
                    <xsl:if test="$correctCheckDigit = 10">
                        <xsl:text>isbn = </xsl:text><xsl:value-of select="i:ISBN"/>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>   check digit </xsl:text><xsl:value-of select="$checkDigit"/><xsl:text> is valid.</xsl:text>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                    <xsl:text>&#xD;&#xA;</xsl:text>
                   </xsl:if>
                </xsl:when>
                <xsl:when test="i:ISBN[((substring(., 10, 1)='-') or 
                                        (substring(., 10, 1)=' ')) and
                                        (substring(., 13, 1) != 'x')]">
                    <xsl:variable name="sum" 
                                  select="(substring(i:ISBN, 1, 1) * 10) +
                                          (substring(i:ISBN, 3, 1) * 9) +
                                          (substring(i:ISBN, 4, 1) * 8) +
                                          (substring(i:ISBN, 5, 1) * 7) +
                                          (substring(i:ISBN, 6, 1) * 6) +
                                          (substring(i:ISBN, 7, 1) * 5) +
                                          (substring(i:ISBN, 8, 1) * 4) +
                                          (substring(i:ISBN, 9, 1) * 3) +
                                          (substring(i:ISBN, 11, 1) * 2)"/>
                    <xsl:variable name="correctCheckDigit" select="11 - ($sum mod 11)"/>
                    <xsl:if test="$correctCheckDigit != $checkDigit">
                        <xsl:text>Error! Invalid check digit</xsl:text>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>   isbn = </xsl:text><xsl:value-of select="i:ISBN"/>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>   check digit = </xsl:text><xsl:value-of select="$checkDigit"/>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>   correct check digit = </xsl:text><xsl:value-of select="$correctCheckDigit"/>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                    </xsl:if>
                    <xsl:if test="$correctCheckDigit = $checkDigit">
                        <xsl:text>isbn = </xsl:text><xsl:value-of select="i:ISBN"/>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>   check digit </xsl:text><xsl:value-of select="$checkDigit"/><xsl:text> is valid.</xsl:text>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                    <xsl:text>&#xD;&#xA;</xsl:text>
                   </xsl:if>
                </xsl:when>
                <xsl:when test="i:ISBN[((substring(., 10, 1)='-') or 
                                        (substring(., 10, 1)=' ')) and
                                        (substring(., 13, 1) = 'x')]">
                    <xsl:variable name="sum" 
                                  select="(substring(i:ISBN, 1, 1) * 10) +
                                          (substring(i:ISBN, 3, 1) * 9) +
                                          (substring(i:ISBN, 4, 1) * 8) +
                                          (substring(i:ISBN, 5, 1) * 7) +
                                          (substring(i:ISBN, 6, 1) * 6) +
                                          (substring(i:ISBN, 7, 1) * 5) +
                                          (substring(i:ISBN, 8, 1) * 4) +
                                          (substring(i:ISBN, 9, 1) * 3) +
                                          (substring(i:ISBN, 11, 1) * 2)"/>
                    <xsl:variable name="correctCheckDigit" select="11 - ($sum mod 11)"/>
                    <xsl:if test="$correctCheckDigit != 10">
                        <xsl:text>Error! Invalid check digit</xsl:text>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>   isbn = </xsl:text><xsl:value-of select="i:ISBN"/>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>   check digit = </xsl:text><xsl:value-of select="$checkDigit"/>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>   correct check digit = </xsl:text><xsl:value-of select="$correctCheckDigit"/>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                    </xsl:if>
                    <xsl:if test="$correctCheckDigit = 10">
                        <xsl:text>isbn = </xsl:text><xsl:value-of select="i:ISBN"/>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:text>   check digit </xsl:text><xsl:value-of select="$checkDigit"/><xsl:text> is valid.</xsl:text>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                    <xsl:text>&#xD;&#xA;</xsl:text>
                   </xsl:if>
                </xsl:when>
                <xsl:otherwise>
                        <xsl:text>Error! isbn = </xsl:text><xsl:value-of select="i:ISBN"/>
                        <xsl:text>&#xD;&#xA;</xsl:text>
                    <xsl:text>   is invalid</xsl:text>
                    <xsl:text>&#xD;&#xA;</xsl:text>
                    <xsl:text>&#xD;&#xA;</xsl:text>
               </xsl:otherwise>
            </xsl:choose>
        </xsl:for-each>
    </xsl:template>
</xsl:stylesheet>