<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:a="http://www.aviation.org"
                version="1.0">
 
    <xsl:output method="text"/>

    <xsl:template match="/">
        <xsl:if test="not(/a:Flight/a:Aircraft/a:Elevation/@units = /a:Flight/a:Obstacle/a:Height/@units)">
            <xsl:text>Error! Aircraft Elevation units do not match Obstacle Height units</xsl:text>
            <xsl:text>&#xD;&#xA;</xsl:text>
            <xsl:text>Aircraft Elevation units = </xsl:text><xsl:value-of select="/a:Flight/a:Aircraft/a:Elevation/@units"/>
            <xsl:text>&#xD;&#xA;</xsl:text>
            <xsl:text>Obstacle Height units = </xsl:text><xsl:value-of select="/a:Flight/a:Obstacle/a:Height/@units"/>
        </xsl:if>   
        <xsl:if test="/a:Flight/a:Aircraft/a:Elevation/@units = /a:Flight/a:Obstacle/a:Height/@units">
            <xsl:if test="/a:Flight/a:Aircraft/a:Elevation &lt; /a:Flight/a:Obstacle/a:Height">
                <xsl:text>Danger! The aircraft is about to collide with a </xsl:text><xsl:value-of select="/a:Flight/a:Obstacle/@type"/><xsl:text>!</xsl:text>
                <xsl:text>&#xD;&#xA;</xsl:text>
                <xsl:text>aircraft elevation = </xsl:text><xsl:value-of select="/a:Flight/a:Aircraft/a:Elevation"/>
                <xsl:text>&#xD;&#xA;</xsl:text>
                <xsl:value-of select="/a:Flight/a:Obstacle/@type"/><xsl:text> height = </xsl:text><xsl:value-of select="/a:Flight/a:Obstacle/a:Height"/>
            </xsl:if>   
            <xsl:if test="/a:Flight/a:Aircraft/a:Elevation &gt;= /a:Flight/a:Obstacle/a:Height">
                <xsl:text>Schema is valid</xsl:text>
            </xsl:if> 
        </xsl:if>     
    </xsl:template>
</xsl:stylesheet>