<?xml version="1.0" ?>

<!--	Extension made by Eddie Robertsson, Allette Systems

	Copyright (c) 2001 Eddie Robertsson and Allette Systems, Australia



	This schematron stylesheet extends the skeleton1-5.xsl and is very similar to schematron-basic with the exception that it supports the diagnostics function.

-->



<!-- Schematron diagnostics -->



<xsl:stylesheet

   version="1.0"

   xmlns:xsl="http://www.w3.org/1999/XSL/Transform"

   xmlns:axsl="http://www.w3.org/1999/XSL/TransformAlias">



<xsl:import href="skeleton1-5.xsl"/>

<xsl:param name="diagnose">no</xsl:param>     



<xsl:template name="process-prolog">

   <axsl:output method="text" />

</xsl:template>



<xsl:template name="process-root">

   <xsl:param name="title" />

   <xsl:param name="contents" />

   <xsl:value-of select="$title" />

   <xsl:text>&#10;</xsl:text>

   <xsl:copy-of select="$contents" />

</xsl:template>



<!-- use default rule for process-pattern: ignore name and see -->

<!-- use default rule for process-name: output name -->



<xsl:template name="process-assert">

<!--	<xsl:param name="icon" /> -->

	<xsl:param name="test" />

	<xsl:param name="role" />

	<xsl:param name="diagnostics" />

	<xsl:text>&#10;</xsl:text>

	<xsl:text>&#10;</xsl:text>

	<xsl:call-template name="process-message">

		<xsl:with-param name="pattern" select="$test"/>

		<xsl:with-param name="role" select="$role"/>

	</xsl:call-template>

	<xsl:text> </xsl:text>

	<xsl:if test="$diagnose = 'yes'">

		<xsl:call-template name="diagnosticsSplit">

             		<xsl:with-param name="str" select="$diagnostics"/>

		</xsl:call-template>

	</xsl:if>

</xsl:template>



<xsl:template name="process-report">

<!--	<xsl:param name="icon" /> -->

	<xsl:param name="test" />

	<xsl:param name="role" /> -->

	<xsl:param name="diagnostics" />

	<xsl:text>&#10;</xsl:text>

	<xsl:text>&#10;</xsl:text>

	<xsl:call-template name="process-message">

		<xsl:with-param name="pattern" select="$test"/>

		<xsl:with-param name="role" select="$role"/>

	</xsl:call-template>

	<xsl:text> </xsl:text>

	<xsl:if test="$diagnose = 'yes'">

		<xsl:call-template name="diagnosticsSplit">

       		<xsl:with-param name="str" select="$diagnostics"/>

		</xsl:call-template>

	</xsl:if>

</xsl:template>



<xsl:template name="process-message">

   <xsl:param name="pattern" />

   <xsl:param name="role" />

   <xsl:text>In pattern </xsl:text>

   <xsl:value-of select="$pattern" />

   <xsl:if test="$role">

      <xsl:text> (</xsl:text>

      <xsl:value-of select="$role" />

      <xsl:text>)</xsl:text>

   </xsl:if>:

   <xsl:apply-templates mode="text" />

</xsl:template>



</xsl:stylesheet>

