<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sch="http://www.ascc.net/xml/schematron" xmlns:j="http://www.journey-to-tibet.org" version="1.0" j:dummy-for-xmlns="">
   <xsl:output method="text"/>
   <xsl:template match="*|@*" mode="schematron-get-full-path">
      <xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <xsl:text>/</xsl:text>
      <xsl:if test="count(. | ../@*) = count(../@*)">@</xsl:if>
      <xsl:value-of select="name()"/>
      <xsl:text>[</xsl:text>
      <xsl:value-of select="1+count(preceding-sibling::*[name()=name(current())])"/>
      <xsl:text>]</xsl:text>
   </xsl:template>
   <xsl:template match="/">Schematron validation
<xsl:apply-templates select="/" mode="M2"/>
      <xsl:apply-templates select="/" mode="M3"/>
   </xsl:template>
   <xsl:template match="j:Trip[@mode='air']" priority="4000" mode="M2">
      <xsl:choose>
         <xsl:when test="(j:Transportation='airplane') or                                                       (j:Transportation='hot-air balloon')"/>
         <xsl:otherwise>

In pattern (j:Transportation='airplane') or (j:Transportation='hot-air balloon'):

   If the mode is air then Transportation should be either airplane or hot-air balloon. Error! Transportation does not have a legal value for the given mode ... segment =<xsl:text  xml:space="preserve"> </xsl:text>
            <xsl:value-of select="@segment"/>
            <xsl:text  xml:space="preserve"> </xsl:text>... mode =<xsl:text  xml:space="preserve"> </xsl:text>
            <xsl:value-of select="@mode"/>
            <xsl:text  xml:space="preserve"> </xsl:text>... Transportation =<xsl:text  xml:space="preserve"> </xsl:text>
            <xsl:value-of select="j:Transportation"/>
            <xsl:text  xml:space="preserve"> </xsl:text>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M2"/>
   </xsl:template>
   <xsl:template match="j:Trip[@mode='water']" priority="3999" mode="M2">
      <xsl:choose>
         <xsl:when test="(j:Transportation='boat') or                                                       (j:Transportation='hovercraft')"/>
         <xsl:otherwise>

In pattern (j:Transportation='boat') or (j:Transportation='hovercraft'):

   If the mode is water then Transportation should be either boat or hovercraft. Error! Transportation does not have a legal value for the given mode ... segment =<xsl:text  xml:space="preserve"> </xsl:text>
            <xsl:value-of select="@segment"/>
            <xsl:text  xml:space="preserve"> </xsl:text>... mode =<xsl:text  xml:space="preserve"> </xsl:text>
            <xsl:value-of select="@mode"/>
            <xsl:text  xml:space="preserve"> </xsl:text>... Transportation =<xsl:text  xml:space="preserve"> </xsl:text>
            <xsl:value-of select="j:Transportation"/>
            <xsl:text  xml:space="preserve"> </xsl:text>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M2"/>
   </xsl:template>
   <xsl:template match="j:Trip[@mode='ground']" priority="3998" mode="M2">
      <xsl:choose>
         <xsl:when test="(j:Transportation='car') or                                                        (j:Transportation='bicycle')"/>
         <xsl:otherwise>

In pattern (j:Transportation='car') or (j:Transportation='bicycle'):

   If the mode is ground then Transportation should be either car or bicycle. Error! Transportation does not have a legal value for the given mode ... segment =<xsl:text  xml:space="preserve"> </xsl:text>
            <xsl:value-of select="@segment"/>
            <xsl:text  xml:space="preserve"> </xsl:text>... mode =<xsl:text  xml:space="preserve"> </xsl:text>
            <xsl:value-of select="@mode"/>
            <xsl:text  xml:space="preserve"> </xsl:text>... Transportation =<xsl:text  xml:space="preserve"> </xsl:text>
            <xsl:value-of select="j:Transportation"/>
            <xsl:text  xml:space="preserve"> </xsl:text>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M2"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M2"/>
   <xsl:template match="j:Trip" priority="4000" mode="M3">
      <xsl:choose>
         <xsl:when test="@segment=(count(preceding-sibling::*)+1)"/>
         <xsl:otherwise>

In pattern @segment=(count(preceding-sibling::*)+1):

   The segments should be in increasing, monotonic order. Error! The segments are not in increasing, monotonic order ... segment =<xsl:text  xml:space="preserve"> </xsl:text>
            <xsl:value-of select="@segment"/>
            <xsl:text  xml:space="preserve"> </xsl:text>... should be<xsl:text  xml:space="preserve"> </xsl:text>
            <xsl:value-of select="count(preceding-sibling::*)+1"/>
            <xsl:text  xml:space="preserve"> </xsl:text>... mode =<xsl:text  xml:space="preserve"> </xsl:text>
            <xsl:value-of select="@mode"/>
            <xsl:text  xml:space="preserve"> </xsl:text>... Transportation =<xsl:text  xml:space="preserve"> </xsl:text>
            <xsl:value-of select="j:Transportation"/>
            <xsl:text  xml:space="preserve"> </xsl:text>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M3"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M3"/>
   <xsl:template match="text()" priority="-1"/>
</xsl:stylesheet>