<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:j="http://www.journey-to-tibet.org"
                version="1.0">
 
    <xsl:output method="text"/>

    <xsl:template match="j:JourneyToTibet">
        <xsl:for-each select="j:Trip">
            <xsl:choose>
                <xsl:when test="(@mode='air') and 
                                (not((j:Transportation='airplane') or (j:Transportation='hot-air balloon')))">
                    <xsl:text>Error! When the mode is 'air' then Transportation must be either airplane or hot-air balloon</xsl:text>
                    <xsl:text>&#xD;&#xA;</xsl:text>
                    <xsl:text>   segment = </xsl:text><xsl:value-of select="@segment"/>
                    <xsl:text>&#xD;&#xA;</xsl:text>
                    <xsl:text>   mode = </xsl:text><xsl:value-of select="@mode"/>
                    <xsl:text>&#xD;&#xA;</xsl:text>
                    <xsl:text>   Transportation = </xsl:text><xsl:value-of select="j:Transportation"/>
                    <xsl:text>&#xD;&#xA;</xsl:text>
                    <xsl:text>&#xD;&#xA;</xsl:text>
                </xsl:when>
                <xsl:when test="(@mode='water') and 
                                (not((j:Transportation='boat') or (j:Transportation='hovercraft')))">
                    <xsl:text>Error! When the mode is 'water' then Transportation must be either boat or hovercraft</xsl:text>
                    <xsl:text>&#xD;&#xA;</xsl:text>
                    <xsl:text>   segment = </xsl:text><xsl:value-of select="@segment"/>
                    <xsl:text>&#xD;&#xA;</xsl:text>
                    <xsl:text>   mode = </xsl:text><xsl:value-of select="@mode"/>
                    <xsl:text>&#xD;&#xA;</xsl:text>
                    <xsl:text>   Transportation = </xsl:text><xsl:value-of select="j:Transportation"/>
                    <xsl:text>&#xD;&#xA;</xsl:text>
                    <xsl:text>&#xD;&#xA;</xsl:text>
                </xsl:when>
                <xsl:when test="(@mode='ground') and 
                                (not((j:Transportation='car') or (j:Transportation='bicycle')))">
                    <xsl:text>Error! When the mode is 'ground' then Transportation must be either car or bicycle</xsl:text>
                    <xsl:text>&#xD;&#xA;</xsl:text>
                    <xsl:text>   segment = </xsl:text><xsl:value-of select="@segment"/>
                    <xsl:text>&#xD;&#xA;</xsl:text>
                    <xsl:text>   mode = </xsl:text><xsl:value-of select="@mode"/>
                    <xsl:text>&#xD;&#xA;</xsl:text>
                    <xsl:text>   Transportation = </xsl:text><xsl:value-of select="j:Transportation"/>
                    <xsl:text>&#xD;&#xA;</xsl:text>
                    <xsl:text>&#xD;&#xA;</xsl:text>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:text>segment </xsl:text><xsl:value-of select="@segment"/><xsl:text> is valid.</xsl:text>
                    <xsl:text>&#xD;&#xA;</xsl:text>
                    <xsl:text>&#xD;&#xA;</xsl:text>
               </xsl:otherwise>
            </xsl:choose>
        </xsl:for-each>
        <xsl:for-each select="j:Trip">
            <xsl:if test="not(@segment = position())">
                <xsl:text>Error! The segments are not in increasing, monotonic order.</xsl:text>
                <xsl:text>&#xD;&#xA;</xsl:text>
                <xsl:text>   segment = </xsl:text><xsl:value-of select="@segment"/>
                <xsl:text> ... should be = </xsl:text><xsl:value-of select="position()"/>
                <xsl:text>&#xD;&#xA;</xsl:text>
                <xsl:text>   mode = </xsl:text><xsl:value-of select="@mode"/>
                <xsl:text>&#xD;&#xA;</xsl:text>
                <xsl:text>   Transportation = </xsl:text><xsl:value-of select="j:Transportation"/>
                <xsl:text>&#xD;&#xA;</xsl:text>
                <xsl:text>&#xD;&#xA;</xsl:text>
            </xsl:if>
        </xsl:for-each>
    </xsl:template>
</xsl:stylesheet>